package modelage;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 * Class which is defines the filter used by JFileChooser
 */
public class TxtFileFilter extends FileFilter {
	
	/**
	 *Accept all directories and all *.txt files.
	 */
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        String extension = TxtFileFilterUtils.getExtension(f);
        if (extension != null) {
            if (extension.equals(TxtFileFilterUtils.txt)) {
                return true;
            } else {
                return false;
            }
        }

        return false;
    }
    
    /**
     *The description of this filter
     */   
    public String getDescription() {
        return "txt";
    }
}///:~


